<?php
/**
* @version	$Id: nparser_config.php 16388 2016-08-11 08:16:43Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

defined('FULL_PATH') or die('restricted access!');

$config = Array (
	'Prefix' => 'nparser',

	'EventHandlerClass' => Array ('class' => 'kEventHandler', 'file' => '', 'build_event' => 'OnBuild'),

	'RegisterClasses' => Array (
		Array ('pseudo' => 'NParserCompiler', 'class' => 'NParserCompiler', 'file' => 'compiler.php', 'build_event' => ''),
		Array('pseudo' => '_BlockTag', 'class' => '_BlockTag', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_Comment', 'class' => '_Tag_Comment', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_DefineElement', 'class' => '_Tag_DefineElement', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_Capture', 'class' => '_Tag_Capture', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_RenderElement', 'class' => '_Tag_RenderElement', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_RenderElements', 'class' => '_Tag_RenderElements', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_Param', 'class' => '_Tag_Param', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_Include', 'class' => '_Tag_Include', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_If', 'class' => '_Tag_If', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_IfNot', 'class' => '_Tag_IfNot', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_DefaultParam', 'class' => '_Tag_DefaultParam', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_SetParam', 'class' => '_Tag_SetParam', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_Cache', 'class' => '_Tag_Cache', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_IfDataExists', 'class' => '_Tag_IfDataExists', 'file' => 'ntags.php', 'build_event' => ''),
		Array('pseudo' => '_Tag_Compress', 'class' => '_Tag_Compress', 'file' => 'ntags.php', 'build_event' => ''),
	),
);
